
Redmine - Defect #14488

Error sending mail throug gmail : An error occurred while sending mail (530-5.5.1 Authentication

Required. Learn more at )

2013-07-18 13:47 - Antimo Di Comite

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Hi,

i'm tryng to send mail through redmine but i receive the error above

An error occurred while sending mail (530-5.5.1 Authentication Required. Learn more at )

 The configuration seems to be ok:

email_delivery:

delivery_method: :smtp

smtp_settings:

enable_starttls_auto: true

address: "smtp.gmail.com"

port: '587'

domain: "smtp.gmail.com"

authentication: :plain

user_name: "theuser@gmail.com"

password: "password"

Environment info:

Redmine version                          2.3.1.stable

Ruby version                             1.9.3 (i686-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Any help will be appreciated, i can post all info that colud be required (i'm not a ruby expert but i do my best :) )

History

#1 - 2013-07-19 10:49 - Antimo Di Comite

- Status changed from New to Resolved

SOLVED !

In case Anyone have the same problem:

In my installation (bitnami but i think it colud happen in every installation) in the file configuration.yml there was the following value (those value are

NOT commented in this installation (?))

Those value overwrite mine (may be because mine are before thos in the file, so the authentication gone wrong.

May be those value have to be commented in a fresh installation so they will be useful only for example?

1. default configuration options for all environments

default:   # Outgoing emails configuration (see examples above)

email_delivery:

delivery_method: :smtp

smtp_settings:   

address: smtp.gmail.com

port: 587

domain: example.net
authentication: :login

user_name:

password:

#2 - 2013-07-23 23:20 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Invalid

resolved -> closed
